Groovy 1.7.0

## groovy.swing
Class LookAndFeelHelper

    java.lang.Object
      groovy.swing.LookAndFeelHelper

    class LookAndFeelHelper
    extends Object

Property Summary
`protected static LookAndFeelHelper` | `instance`

Constructor Summary
`private LookAndFeelHelper()`

Method Summary
`String` | `addLookAndFeelAlias(String alias, String className)`
`String` | `addLookAndFeelAttributeHandler(String className, String attr, Closure handler)`
`static LookAndFeelHelper` | `getInstance()`
`static String` | `getNimbusLAFName()`
`boolean` | `isLeaf()`
`LookAndFeel` | `lookAndFeel(Object value, Map attributes, Closure initClosure)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### instance

    protected static LookAndFeelHelper instance

Constructor Detail

### LookAndFeelHelper

    private LookAndFeelHelper()

Method Detail

### addLookAndFeelAlias

    public String addLookAndFeelAlias(String alias, String className)

### addLookAndFeelAttributeHandler

    public String addLookAndFeelAttributeHandler(String className, String attr, Closure handler)

### getInstance

    public static LookAndFeelHelper getInstance()

### getNimbusLAFName

    public static String getNimbusLAFName()

### isLeaf

    public boolean isLeaf()

### lookAndFeel

    public LookAndFeel lookAndFeel(Object value, Map attributes, Closure initClosure)

Copyright © 2003-2009 The Codehaus. All rights reserved.